Subject: bug#64966: Rockpro64 SBC not booting anymore after "gnu: [email-masked]: Use guile-fibers 1.3.1."

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Fri, 25 Aug 2023 20:24:28 +0200

On Mon, 21 Aug 2023 17:00:26 +0200
Ludovic Courtès <[email-masked]> wrote:

> Hi Denis,
Hi,

[...]
> How about this patch:

I've some issue testing the patch. With guix
1c916c167b7eb1f2f8af2cf621aa1512b00b1033 ("gnu: Add thunarx-python.")
I've the following:
>   LD [M]  net/nsh/nsh.ko
>   LD [M]  net/qrtr/qrtr.ko
>   LD [M]  net/qrtr/qrtr-smd.ko
>   LD [M]  net/qrtr/qrtr-tun.ko
>   LD [M]  net/qrtr/qrtr-mhi.ko
> error: in phase 'build': uncaught exception:
> %exception #<&invoke-error program: "make" arguments: ("-j" "6")
> exit-status: 2 term-signal: #f stop-signal: #f> phase `build' failed
> after 15717.1 seconds command "make" "-j" "6" failed with status 2
> builder for
> `/gnu/store/969v8chaxmh1b6abr202y2myl0npb6zh-linux-libre-6.4.11.drv'
> failed with exit code 1 cannot build derivation
> `/gnu/store/lky0cr3p0y9lgzarcnrl2aq4y4389ygq-linux-modules.drv': 1
> dependencies couldn't be built building path(s)
> `/gnu/store/n2jk40lhr395jnpi5nr6dhdc536ngrsd-mcron-job' cannot build
> derivation
> `/gnu/store/6f0x8bkmalkrx3n24f9jfvxpd6cvs7sk-parameters.drv': 1
> dependencies couldn't be built cannot build derivation
> `/gnu/store/m5j1961vjyrk1s48i864lcp0h4a0v2sk-profile.drv': 1
> dependencies couldn't be built building path(s)
> `/gnu/store/bhyhl6gw0gkawykb6k0ziyim0wpfnbk6-module-import-compiled'
> cannot build derivation
> `/gnu/store/m7mw72finn57b0j5f66x4dcwgm22k2xj-system.drv': 1
> dependencies couldn't be built cannot build derivation
> `/gnu/store/gbwsrrvlfw2v3cdgxnmi31bz38x5xhgc-switch-to-system.scm.drv':
> 1 dependencies couldn't be built cannot build derivation
> `/gnu/store/ynn503gdm4r6azqa8wa0sjakshx0pcgz-remote-exp.scm.drv': 1
> dependencies couldn't be built guix deploy: error: build of
> `/gnu/store/ynn503gdm4r6azqa8wa0sjakshx0pcgz-remote-exp.scm.drv'
> failed

And here I tried without the patch, in a guix checkout built with make
and with the following command: './pre-inst-env guix deploy -L
rockpro64/ rockpro64/rockpro64.scm'.

I'm unsure of what is wrong with the kernel build, but since it's not
downloading substitutes for it, the issue is probably more general.

Denis.